\name{updateCurAction}
\alias{updateCurAction}
\title{ Update curAction environment variable }
\description{
  updateCurAction updates the current action environment 
  variable in mvcEnv and calls updateControlWindow to reflect the 
  change in current action on the control window.
}
\usage{
updateCurAction(curAct, ...)
}
\arguments{
  \item{curAct}{character string that describes which menu item was chosen}
  \item{\dots}{extra parameters that are passed to updateControlWindow}
}
\details{
  Currently, curAct can be one of the following strings: openf, opend, 
  quit, find, reset, plotD, viewData, setMouseOver, setLeftBC, setMiddleBC,
  setRightBC, setActiveMVC, 
  replot, or empty.  If curAct is not one of those strings, then curAct
  is presumed to be the name of a function.  When curAct is the name of a 
  function, the \dots parameter(s) is passed to that function using do.call
  so the \dots parameter is available in case the function has parameters.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{addMenuItem}} 
}
\examples{
  if (interactive())
  {
    createControlWindow()
    updateCurAction("opend")
  }
}
\keyword{attribute}








